<?php
// MemberResponsibility.php


/**
 * Convenience class for temporary storage and easy access of responsibility information from the member model.
 *
 * @author Matthew Lindberg
 */
class MemberResponsibility
{
	var $responlistentry_id;
	var $respon_id;
	var $respon_name;
	var $respon_desc;
	var $date_created;
	var $date_modified;
	var $date_added;
	var $date_last_completed;
	var $finish_in_count;
	var $finish_in_type;   // day | month | year
	
	function MemberResponsibility($respon_entry_id,$respon_id,$respon_name,$respon_desc,$date_created,$date_modified,$date_added,$date_last_completed,$finish_in_count,$finish_in_type)
	{
		$this->responlistentry_id = $respon_entry_id;
		$this->respon_id = $respon_id;
		$this->respon_name = $respon_name;
		$this->respon_desc = $respon_desc;
		$this->date_created = $date_created;
		$this->date_modified = $date_modified;
		$this->date_added = $date_added;
		$this->date_last_completed = $date_last_completed;
		$this->finish_in_count = $finish_in_count;
		$this->finish_in_type = $finish_in_type;
	}
	
	/** 
	 * 
	 */
	function isOverdue()
	{
		return "yes";
	}
	
	function getCompleteByDate()
	{
		return "May 4th";
	}
	
	/** 
	 *
	 */
	function getResponEntryID()
	{
		return $this->responlistentry_id;
	}
	
	function getResponID()
	{
		return $this->respon_id;
	}
	
	function getResponName()
	{
		return $this->respon_name;
	}
	
	function getResponDesc()
	{
		return $this->respon_desc;
	}
	
	function getDateCreated()
	{
		return $this->date_created;
	}
	
	function getDateModified()
	{
		return $this->date_modified;
	}
	
	function getDateAdded()
	{
		return $this->date_added;
	}
	
	function getDateLastCompleted()
	{
		return $this->date_last_completed;
	}
	
	function getFinishInCount()
	{
		return $this->finish_in_count;
	}
	
	function getFinishInType()
	{
		return $this->finish_in_type;
	}
}

?>